Subject: RE: pwe3 draft status update

From: Sasha Vainshtein <[email-masked]>
Date: Tue, 11 Jan 2005 11:29:59 +0200

Stewart and all,
Please see inline below my comment and proposed changes to the CESoPSN
draft.
I would appreciate a timely feedback before posting an updated draft
before the cut-off date for the Minneapolis IETF (i.e if the proposed change

resolves the UDP issue or not.

Regards,
                                  Sasha Vainshtein
email:                         [email-masked] <mailto:[email-masked]> 
phone:                       +972-3-7569993 (office)
fax:                            +972-3-6487779
mobile:                      +972-52-8674833 

> -----Original Message-----
> From: Stewart Bryant [mailto:[email-masked]]
> Sent: Wednesday, December 15, 2004 4:52 PM
> To: pwe3
> Subject: [PWE3] pwe3 draft status update
> 
> 
> This is what I think that the current status of our drafts is.
> 
> Please could the editors/authors check their drafts and let me
> have any corrections.
> 
> Thanks
> 
> Stewart
> 
> 
... snipped ,,,
> 
> draft-ietf-pwe3-cesopsn-01.txt - need to check that UDP text is OK
>
[Sasha]The current text says:

<quote>
Usage of UDP as the multiplexing mechanism is compliant with the 
traditional method used for multiplexing RTP flows, e.g.: 
 
1. Each PE: 
    a) Allocates one of the PE own IP addresses and a single UDP port 
       for each local PW end point (CESoPSN IWF instance)  
    b) Is aware (by configuration or via a signaling protocol) of the 
       similar allocations associated with the remote peer PW end 
       points 
2. Each CESoPSN IWF instance uses the associated locally and remotely 
    allocated UDP ports as correspondingly the Source and Destination 
    UDP ports in all the CESoPSN packets its generates. 
<end quote>

AFAIK, the only IETF document that explicily deals with usage of UDP ports
in PWs
is the response to the ITU-T Liaison which states:

<quote>
The IETF PWE3 WG recommends that both source
and destination UDP ports be manually configured.
<end quote>

This seems to preclude using a (not specified) signaling protocol 
mentioned in the current version of the draft. 
Hence I suggest to change this fragment like following:

<-------- new text begins -------->
UDP as the multiplexing mechanism for PWs MUST be used with manual
configuration of both source and destination UDP ports. 
Since UDP ports only have significance within the scope of a corresponding 
IP address, this effectively means that the entire quadruple 

{Destination IP address, Destination UDP port, Source IP address, Source UDP
port} 

acts a the PW demultiplexor.

In addition, CESoPSN assumes that usage of UDP for demultiplexing is aligned

with traditional demultiplexing of RTP flows, i.e.:

1. Each PE: 
    a) Allocates for each local PW end point (CESoPSN IWF instance)
       one of its own IP addresses and a unique UDP port within
       the scope defined by this IP address ("local allocation")
    b) Is configured with the similar allocation associated 
       with the remote peer PW end point ("remote allocation")
2. Each CESoPSN IWF instance uses the associated local and remote 
   allocations as correspondingly the Source and Destination IP 
   addresses and UDP ports in all the CESoPSN packets its generates. 
   Note that local and remote allocations are "crossed" for the two
   opposite directions of the CESoPSN PW.
<--------  new text ends  -------->

... snipped to the end